var Cleanup = function()
{
	var cleanup = {};
	var debug = 0;

	cleanup.initPage = function()
	{
		// Navigation
		Buttons.addClickHandler('goregister', Wizard.goRegister);
		
		// Final registration
		Events.addEventHandler('wizard', 'wizard-submit', cleanup.submit);
		
		var url = '../Admin.servlet?ID='+App.getSessionId();
		url += '&cmd=GetSecondayAnalysisCleanupCount';
		Wizard.showLoadingAnimation('Checking for items in the trashcan...');
		Wizard.asyncJsonRequest(url, cleanup.countDone);
	}
	
	cleanup.countDone = function(response)
	{
		var countDerivedBioAssays = response.countDerivedBioAssays;
		var countDerivedBioAssayChildren = response.countDerivedBioAssayChildren;
		var countRawBioAssays = response.countRawBioAssays;
		Doc.element('countDerivedBioAssays').innerHTML = countDerivedBioAssays;
		Doc.element('countRawBioAssays').innerHTML = countRawBioAssays;
		Doc.element('countDerivedBioAssayChildren').innerHTML = countDerivedBioAssayChildren;
		Doc.show('step-1');
		
		if (countRawBioAssays > 0 || countDerivedBioAssays > 0)
		{
			Doc.show('goregister');
			Wizard.showGoNextConfirmation(true, 'Ok, I\'m sure. Let\'s delete them!');
		}
	}
	
	
	cleanup.submit = function()
	{
		// Get permission information
		var url = '../Admin.servlet?ID='+App.getSessionId();
		url += '&cmd=SecondaryAnalysisCleanup';
		
		Wizard.showLoadingAnimation('Deleting...', 'secondary-cleanup-progress');
		Wizard.asyncJsonRequest(url, cleanup.deleteDone, 'POST');
	}
	
	cleanup.deleteDone = function(response)
	{
		Wizard.showFinalMessage(response.messages);
	}

	return cleanup;
}();

Doc.onLoad(Cleanup.initPage);

